
<div class="cube-wrapper">
<div id="cube"></div>
</div>
<script is:inline>
	gsap.registerPlugin(ScrollTrigger);

	gsap.to("#cube", {
		scrollTrigger: {
			trigger: "#cube",
			start: "top center",
			end: "top 100px",
			markers: true,
			scrub: 10,
		},
		duration: 10,
		ease: "none",
		x: 1000,
		rotation: 360,
	})



</script>
<style>
.cube-wrapper {
	display:flex;
	align-items: center;
	height: 1800px;
}
#cube {
	display: block;
	width: 200px;
	height: 200px;
	background: red;
}
</style>



